Skip to main content

Supervisor Agent

View as Markdown

SupervisorAgent object

namestringBetaIDImmutable

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

display_namestringBeta

The display name of the Supervisor Agent, unique at workspace level.

descriptionstringBeta

Description of what this agent can do (user-facing).

instructionsstringBeta

Optional natural-language instructions for the supervisor agent.

idstringDeprecatedBetaOutput only

Deprecated: Use supervisor_agent_id instead.

supervisor_agent_idstringBetaOutput only

The universally unique identifier (UUID) of the Supervisor Agent.

creatorstringBetaOutput only

The creator of the Supervisor Agent.

create_timestringBetaOutput only

Creation timestamp.

endpoint_namestringBetaOutput only

The name of the supervisor agent's serving endpoint.

experiment_idstringBetaOutput only

The MLflow experiment ID.

Get a Supervisor Agent Beta

GET /api/2.1/{name=supervisor-agents/*}

Gets a Supervisor Agent.

API scopes: supervisor-agents

Parameters

namestringRequiredpath

The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}

Response

Returns the SupervisorAgent object.

List Supervisor Agents Beta

GET /api/2.1/supervisor-agents

Lists Supervisor Agents.

API scopes: supervisor-agents

Parameters

page_sizeint32[ 1 .. 100 ]query

The maximum number of supervisor agents to return. If unspecified, at most 100 supervisor agents will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_tokenstringquery

A page token, received from a previous ListSupervisorAgents call. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.

Response

Returns a list of SupervisorAgent objects.

Create a Supervisor Agent Beta

POST /api/2.1/supervisor-agents

Creates a new Supervisor Agent.

API scopes: supervisor-agents

Request body

The Supervisor Agent to create.

namestringIDImmutable

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

display_namestringRequired

The display name of the Supervisor Agent, unique at workspace level.

descriptionstring

Description of what this agent can do (user-facing).

instructionsstring

Optional natural-language instructions for the supervisor agent.

Response

Returns the SupervisorAgent object.

Update a Supervisor Agent Beta

PATCH /api/2.1/{name=supervisor-agents/*}

Updates a Supervisor Agent. The fields that are required depend on the paths specified in update_mask. Only fields included in the mask will be updated.

API scopes: supervisor-agents

Parameters

namestringRequiredIDImmutablepath

The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

update_maskstringRequiredquery

Field mask for fields to be updated.

Request body

The SupervisorAgent to update.

display_namestringRequired

The display name of the Supervisor Agent, unique at workspace level.

descriptionstring

Description of what this agent can do (user-facing).

instructionsstring

Optional natural-language instructions for the supervisor agent.

Response

Returns the SupervisorAgent object.

Delete a Supervisor Agent Beta

DELETE /api/2.1/{name=supervisor-agents/*}

Deletes a Supervisor Agent.

API scopes: supervisor-agents

Parameters

namestringRequiredpath

The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}